Bug 1688186 - [RFE] CPU and NUMA Pinning shall be handled automatically [NEEDINFO]
Summary: [RFE] CPU and NUMA Pinning shall be handled automatically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.4.5
: ---
Assignee: Liran Rotenberg
QA Contact: Polina
URL:
Whiteboard:
: 1887356 (view as bug list)
Depends On:
Blocks: 1919804
TreeView+ depends on / blocked
 
Reported: 2019-03-13 10:51 UTC by Nils Koenig
Modified: 2021-05-05 12:42 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-4.4.5.5
Doc Type: Enhancement
Doc Text:
Previously, the CPU and NUMA pinning were done manually or automatically only by using the REST API when adding a new virtual machine. With this update, you can update the CPU and NUMA pinning using the Administration portal and when updating a virtual machine.
Clone Of:
: 1919804 (view as bug list)
Environment:
Last Closed: 2021-04-14 11:39:53 UTC
oVirt Team: Virt
Target Upstream Version:
ahadas: needinfo? (nkoenig)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:1169 0 None None None 2021-04-14 11:41:00 UTC
oVirt gerrit 112881 0 master MERGED core: add auto-pinning to HP VM 2021-02-15 11:30:19 UTC
oVirt gerrit 112885 0 master MERGED webadmin: add auto-pinning to HP VM 2021-02-15 11:30:19 UTC
oVirt gerrit 112886 0 master MERGED api: allow update vm with auto pinning 2021-02-15 11:30:18 UTC
oVirt gerrit 112887 0 master MERGED api-model: expose cpu pinning and auto pinning 2021-02-15 11:30:18 UTC
oVirt gerrit 113163 0 master MERGED Update to model 4.4.23, metamodel 1.3.4 2021-02-17 11:59:08 UTC
oVirt gerrit 113383 0 master MERGED webadmin: remove conflicts with auto pinning 2021-02-15 11:30:19 UTC

Description Nils Koenig 2019-03-13 10:51:31 UTC
As of today, when using the high performance VM profile the user has to manually create the CPU core pinning _and_ a NUMA pinning.

While the NUMA pinning is UI based, the according CPU pinning requires generating a text string that represents the CPU core mapping. This is rather error prone and is requires "wrapping your head around" how that notion works, how the actual NUMA architecture is on the hypervisor.

This feature request proposes that the actual CPU pinning should be derived from the NUMA architecture and pinning. Taking this idea even further, one could think of premade templates/profiles in order to pin to sockets/half a socket/quarter of sockets/two sockets, etc.

Comment 1 Nils Koenig 2020-03-04 09:53:19 UTC
Additionally, this should be implemented in respect to live migration as well. As of today, the live migration of a CPU and memory pinned VM requires manually removing the memory pinning, migrating, restoring the memory pinning. This should  be automated. Also CPU pinning should be flexible, so that it could migrate VM1 which uses e.g. NUMA node 0 on host A gets migrated to host B, NUMA node 1 automatically.

Comment 3 Arik 2020-11-16 09:14:15 UTC
*** Bug 1887356 has been marked as a duplicate of this bug. ***

Comment 4 Arik 2020-11-16 09:17:06 UTC
As mentioned in bz 1887356, we introduced auto-pinning only to REST-API in BZ 1862968.
We can build on that to simplify the configuration on pinning for high-performance VMs from the UI as well.

Comment 5 Arik 2021-01-18 18:15:04 UTC
(In reply to Nils Koenig from comment #1)
> Additionally, this should be implemented in respect to live migration as
> well. As of today, the live migration of a CPU and memory pinned VM requires
> manually removing the memory pinning, migrating, restoring the memory
> pinning. This should  be automated. Also CPU pinning should be flexible, so
> that it could migrate VM1 which uses e.g. NUMA node 0 on host A gets
> migrated to host B, NUMA node 1 automatically.

Nils, this part seems like a different requirement - can you please file a separate bug for this?

Comment 7 Polina 2021-02-24 13:47:55 UTC
verified on ovirt-engine-4.4.5.6-0.11.el8ev.noarch according to the attached Polarion plan

Comment 10 Steve Goodman 2021-04-12 13:30:39 UTC
Liran, please check the doc text, and explain how to update the CPU and NUMA pinning.

Comment 15 errata-xmlrpc 2021-04-14 11:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: RHV Manager (ovirt-engine) 4.4.z [ovirt-4.4.5] security, bug fix, enhancement), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1169


Note You need to log in before you can comment on or make changes to this bug.